# $Id$
# Authority: dag

Summary: Lightweight GTK+ clipboard manager
Name: parcellite
Version: 0.9
Release: 1%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://parcellite.sourceforge.net/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dl.sf.net/parcellite/parcellite-%{version}.tar.gz
Patch0: parcellite-0.9-main.c.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: desktop-file-utils
BuildRequires: glib2-devel >= 2.14
BuildRequires: gtk2-devel >= 2.10.0
BuildRequires: intltool >= 0.23

%description
Parcellite is a stripped down, basic-features-only clipboard manager with a 
small memory footprint for those who like simplicity.

In GNOME and Xfce the clipboard manager will be started automatically. For 
other desktops or window managers you should also install a panel with a 
system tray or notification area if you want to use this package.

%prep
%setup
%patch0 -p0 -b .click

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"
%find_lang %{name}

desktop-file-install --delete-original         \
    --vendor="%{desktop_vendor}"               \
    --remove-category="Application"            \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/parcellite.desktop

desktop-file-install --delete-original             \
    --add-category="TrayIcon"                      \
    --dir %{buildroot}%{_sysconfdir}/xdg/autostart \
    %{buildroot}%{_sysconfdir}/xdg/autostart/parcellite-startup.desktop

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc %{_mandir}/man1/parcellite.1*
%config %{_sysconfdir}/xdg/autostart/parcellite-startup.desktop
%{_bindir}/parcellite
%{_datadir}/applications/%{desktop_vendor}-parcellite.desktop

%changelog
* Fri Jan 02 2009 Dag Wieers <dag@wieers.com> - 0.9-1 - +/
- Initial package. (using DAR)
